import { IPastebinOptions } from './interfaces';
export declare const defaultOptions: IPastebinOptions;
export declare const ENDPOINTS: {
    POST: string;
    LOGIN: string;
    RAW: string;
};
export declare const expiration: {
    'N': string;
    '10M': string;
    '1H': string;
    '1D': string;
    '1W': string;
    '2W': string;
    '1M': string;
};
export declare const PRIVACY_LEVEL: {
    PUBLIC_ANONYMOUS: number;
    UNLISTED: number;
    PRIVATE: number;
    PUBLIC_USER: number;
};
export declare const formats: {
    '4cs': string;
    '6502acme': string;
    '6502kickass': string;
    '6502tasm': string;
    'abap': string;
    'actionscript': string;
    'actionscript3': string;
    'ada': string;
    'aimms': string;
    'algol68': string;
    'apache': string;
    'applescript': string;
    'apt_sources': string;
    'arm': string;
    'asm': string;
    'asp': string;
    'asymptote': string;
    'autoconf': string;
    'autohotkey': string;
    'autoit': string;
    'avisynth': string;
    'awk': string;
    'bascomavr': string;
    'bash': string;
    'basic4gl': string;
    'dos': string;
    'bibtex': string;
    'blitzbasic': string;
    'b3d': string;
    'bmx': string;
    'bnf': string;
    'boo': string;
    'bf': string;
    'c': string;
    'c_winapi': string;
    'c_mac': string;
    'cil': string;
    'csharp': string;
    'cpp': string;
    'cpp-winapi': string;
    'cpp-qt': string;
    'c_loadrunner': string;
    'caddcl': string;
    'cadlisp': string;
    'cfdg': string;
    'chaiscript': string;
    'chapel': string;
    'clojure': string;
    'klonec': string;
    'klonecpp': string;
    'cmake': string;
    'cobol': string;
    'coffeescript': string;
    'cfm': string;
    'css': string;
    'cuesheet': string;
    'd': string;
    'dart': string;
    'dcl': string;
    'dcpu16': string;
    'dcs': string;
    'delphi': string;
    'oxygene': string;
    'diff': string;
    'div': string;
    'dot': string;
    'e': string;
    'ezt': string;
    'ecmascript': string;
    'eiffel': string;
    'email': string;
    'epc': string;
    'erlang': string;
    'fsharp': string;
    'falcon': string;
    'fo': string;
    'f1': string;
    'fortran': string;
    'freebasic': string;
    'freeswitch': string;
    'gambas': string;
    'gml': string;
    'gdb': string;
    'genero': string;
    'genie': string;
    'gettext': string;
    'go': string;
    'groovy': string;
    'gwbasic': string;
    'haskell': string;
    'haxe': string;
    'hicest': string;
    'hq9plus': string;
    'html4strict': string;
    'html5': string;
    'icon': string;
    'idl': string;
    'ini': string;
    'inno': string;
    'intercal': string;
    'io': string;
    'ispfpanel': string;
    'j': string;
    'java': string;
    'java5': string;
    'javascript': string;
    'jcl': string;
    'jquery': string;
    'json': string;
    'julia': string;
    'kixtart': string;
    'latex': string;
    'ldif': string;
    'lb': string;
    'lsl2': string;
    'lisp': string;
    'llvm': string;
    'locobasic': string;
    'logtalk': string;
    'lolcode': string;
    'lotusformulas': string;
    'lotusscript': string;
    'lscript': string;
    'lua': string;
    'm68k': string;
    'magiksf': string;
    'make': string;
    'mapbasic': string;
    'matlab': string;
    'mirc': string;
    'mmix': string;
    'modula2': string;
    'modula3': string;
    '68000devpac': string;
    'mpasm': string;
    'mxml': string;
    'mysql': string;
    'nagios': string;
    'netrexx': string;
    'newlisp': string;
    'nginx': string;
    'nimrod': string;
    'text': string;
    'nsis': string;
    'oberon2': string;
    'objeck': string;
    'objc': string;
    'ocaml-brief': string;
    'ocaml': string;
    'octave': string;
    'pf': string;
    'glsl': string;
    'oobas': string;
    'oracle11': string;
    'oracle8': string;
    'oz': string;
    'parasail': string;
    'parigp': string;
    'pascal': string;
    'pawn': string;
    'pcre': string;
    'per': string;
    'perl': string;
    'perl6': string;
    'php': string;
    'php-brief': string;
    'pic16': string;
    'pike': string;
    'pixelbender': string;
    'plsql': string;
    'postgresql': string;
    'postscript': string;
    'povray': string;
    'powershell': string;
    'powerbuilder': string;
    'proftpd': string;
    'progress': string;
    'prolog': string;
    'properties': string;
    'providex': string;
    'purebasic': string;
    'pycon': string;
    'python': string;
    'pys60': string;
    'q': string;
    'qbasic': string;
    'qml': string;
    'rsplus': string;
    'racket': string;
    'rails': string;
    'rbs': string;
    'rebol': string;
    'reg': string;
    'rexx': string;
    'robots': string;
    'rpmspec': string;
    'ruby': string;
    'gnuplot': string;
    'rust': string;
    'sas': string;
    'scala': string;
    'scheme': string;
    'scilab': string;
    'scl': string;
    'sdlbasic': string;
    'smalltalk': string;
    'smarty': string;
    'spark': string;
    'sparql': string;
    'sqf': string;
    'sql': string;
    'standardml': string;
    'stonescript': string;
    'sclang': string;
    'swift': string;
    'systemverilog': string;
    'tsql': string;
    'tcl': string;
    'teraterm': string;
    'thinbasic': string;
    'typoscript': string;
    'unicon': string;
    'uscript': string;
    'ups': string;
    'urbi': string;
    'vala': string;
    'vbnet': string;
    'vbscript': string;
    'vedit': string;
    'verilog': string;
    'vhdl': string;
    'vim': string;
    'visualprolog': string;
    'vb': string;
    'visualfoxpro': string;
    'whitespace': string;
    'whois': string;
    'winbatch': string;
    'xbasic': string;
    'xml': string;
    'xorg_conf': string;
    'xpp': string;
    'yaml': string;
    'z80': string;
    'zxbasic': string;
};
